import * as _backstage_plugin_scaffolder_node from '@backstage/plugin-scaffolder-node';
import * as _backstage_types from '@backstage/types';
import { Config } from '@backstage/config';
import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';

/**
 * Creates the `sentry:project:create` Scaffolder action.
 *
 * @remarks
 *
 * See {@link https://backstage.io/docs/features/software-templates/writing-custom-actions}.
 *
 * @param options - Configuration of the Sentry API.
 * @public
 */
declare function createSentryCreateProjectAction(options: {
    config: Config;
}): _backstage_plugin_scaffolder_node.TemplateAction<{
    organizationSlug: string;
    teamSlug: string;
    name: string;
    slug?: string;
    authToken?: string;
}, _backstage_types.JsonObject, "v1">;

/**
 * @public
 * The Sentry Module for the Scaffolder Backend
 */
declare const sentryModule: _backstage_backend_plugin_api.BackendFeature;

export { createSentryCreateProjectAction, sentryModule as default };
